; 1.1 states



;---------------------------------------------------------------------------
; Stand to Crouch
[Statedef 10]
type    = C
physics = C
anim = 10

[State 10, 1]
type = VelMul
trigger1 = Time = 0
x = .75

[State 10, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

[State 10, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
; Crouching
[Statedef 11]
type    = C
physics = C
anim = 11
sprpriority = 0

[State 11, 1] ;Change from turning animation
type = ChangeAnim
trigger1 = Anim = 6 && AnimTime = 0
trigger2 = anim = [25,26]
trigger2 = command != "holdfwd"
trigger2 = command != "holdback"
value = 11


[State 11, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

;---------------------------------------------------------------------------
; Air get-hit (falling)
[Statedef 5050]
type    = A
movetype= H
physics = N

[State 5050, 1] ;Change anim when done with transition
type = ChangeAnim
trigger1 = AnimTime = 0
trigger1 = Anim = 5035
trigger2 = Time = 0     ;If no transition anim
trigger2 = Anim != 5035
trigger2 = (Anim != [5051, 5059]) && (Anim != [5061, 5069])
trigger2 = Anim != 5090 ;Not if hit off ground anim
value = 5050


[State 5050, 2] ;Coming down anim
type = ChangeAnim
trigger1 = anim = [5050,5059]
trigger1 = Vel Y >= ifelse(anim = 5050, 1, -2)
;trigger1 = Vel Y >= ifelse(anim = 5050, Const720p(4), Const720p(-8))
trigger1 = SelfAnimExist(anim+10)
value = anim+10
persistent = 0

[State 5050, 3] ;Gravity
type = VelAdd
trigger1 = time>0
y = GetHitVar(yaccel)

[State 5050, 4] ;Recover near ground
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20;Const(movement.air.gethit.groundrecover.ground.threshold)
triggerall = alive
triggerall = CanRecover
;triggerall = !var(19)
trigger1 = Command = "recovery"
value = 5200 ;Air get-hit (fall recovery on ground)

[State 5050, 5]; Recover in mid air
type = ChangeState
triggerall = Vel Y > -1;Const(movement.air.gethit.airrecover.threshold)
triggerall = alive
triggerall = CanRecover
;triggerall = !var(19)
trigger1 = Command = "recovery"
value = 5210 ;Air get-hit (fall recovery in air)

[State 5050, 6]
type = ChangeState
triggerall = Vel Y > 0
;trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, 25)
trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, Const(movement.air.gethit.groundlevel))
value = 5100 ;Downed get-hit (hit ground from fall)

;---------------------------------------------------------------------------
; Tripped get-hit (knocked away)
[Statedef 5071]
type    = A
movetype= H
physics = N

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
sysvar(0) = 0

[State 5071, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 5071, 2] ;Acceleration
type = VelAdd
trigger1 = time>0
y = GetHitVar(yaccel)

[State 5071, 3] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= Const(movement.air.gethit.trip.groundlevel)
type = ChangeState
value = 5110


;---------------------------------------------------------------------------
;Launched
[Statedef 825]
type    = A
movetype= H
physics = N
velset = 0,-16.8

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0-const(size.mid.pos.x)
y = 0-const(size.mid.pos.y)


[State 0, VelSet]
type = VelSet
trigger1 = time
y = vel y + 0.7

[State 0, NotHitBy]
type = NotHitBy
trigger1 = time = 0
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2
ignorehitpause = 1

[State 820, 1]
type = ChangeAnim
Trigger1 = Time = 0
value = ifelse(selfanimexist(5051),5051,5030)
[State 820, 1]
type = ChangeAnim
trigger1 = anim = 5030
Trigger1 = animTime = 0
value = ifelse(selfanimexist(5035),5035,5050)
[State 820, 1]
type = ChangeAnim
trigger1 = anim = 5035
Trigger1 = animTime = 0
value = 5050

[State 820, 1]
type = ChangeAnim
Trigger1 = anim = 5051
trigger1 = selfanimexist(5051)
trigger1 = vel y > -2
value = 5051

[State 821, 2] ; Recover near ground (use ChangeState)
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20
triggerall = alive
triggerall = CanRecover
trigger1 = Command = "recovery"
value = 5200 ;HITFALL_RECOVER

[State 821, 3] ; Recover in mid air (use SelfState)
type = SelfState
triggerall = Vel Y > 0
triggerall = alive
triggerall = CanRecover
trigger1 = Command = "recovery"
value = 5210 ;HITFALL_AIRRECOVER

[State 820, 2]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.trip.groundlevel)
value = 5100

;---------------------------------------------------------------------------
;Knocked Down
[Statedef 823]
type    = A
movetype= H
physics = N
velset = -6,-8.8

[State 0, VelSet]
type = VelSet
trigger1 = time
y = vel y + 0.7

[State 820, 1]
type = ChangeAnim
Trigger1 = Time = 0
value = 5030
[State 820, 1]
type = ChangeAnim
trigger1 = anim = 5030
Trigger1 = animTime = 0
value = ifelse(selfanimexist(5035),5035,5050)
[State 820, 1]
type = ChangeAnim
trigger1 = anim = 5035
Trigger1 = animTime = 0
value = 5050

[State 820, 2]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 5100

[Statedef 827]
type    = A
movetype= H
physics = N
;velset = -6,-6

[State 0, Turn]
type = Turn
trigger1 = time = 0

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0-const(size.mid.pos.x)
y = 0-const(size.mid.pos.y)

[State 0, VelSet]
type = VelSet
trigger1 = time = 0
x = 6
y = -9.9

[State 0, VelAdd]
type = VelAdd
trigger1 = time > 0
y = 0.99

[State 5100, 7]
type = SelfState;ChangeState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 5100;882 ;HIT_LIEDOWN

[Statedef 881]
type    = A
movetype= H
physics = N
;velset = -6,-6

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0-const(size.mid.pos.x)
y = 0-const(size.mid.pos.y)

[State 0, VelSet]
type = VelSet
trigger1 = time = 0
x = -8
y = 11.9

[State 0, VelAdd]
type = VelAdd
trigger1 = time > 0
y = 0.99

[State 5100, 7]
type = ChangeState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 882 ;HIT_LIEDOWN

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State Sober Winquote]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = fvar(39)<=0
value = 0+random%5
ignorehitpause = 1
[State Drugged Up Winquote]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = fvar(39)=[0.01,0.25]
value = 5+random%5
ignorehitpause = 1
[State Messed Up Winquote]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = fvar(39)>=0.25
value = 10+random%5
ignorehitpause = 1
[State Winquote vs weird characters]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Developer Fags You Imbecile"
trigger2 = p2name = "Omega Tiger Woods"
trigger3 = p2name = "Obese Cheese Boy"
trigger4 = p2name = "Ohayou Sensei"
trigger5 = p2name = "Aracdboy1"
trigger6 = p2name = "La=Gooth"
trigger7 = enemynear,authorname = "GooGoo64"
trigger8 = p2name = "Sonso"
trigger9 = p2name = "Hack Jack"
trigger10 = p2name = "Kung Fu Mario"
trigger11 = p2name = "Shuma=Gorath"
trigger12 = p2name = "Iori Bogard"
trigger13 = p2name = "Clippit"
trigger14 = p2name = "Blockhead"
trigger15 = p2name = "Insane Hiryu"
trigger16 = p2name = "Yupchi"
trigger17 = p2name = "Rion"
trigger18 = p2name = "Stevareno"
trigger19 = p2name = "Mukuro"
trigger20 = p2name = "Eko"
trigger21 = p2name = "Kazu"
trigger22 = p2name = "Eko Minus Eko"
trigger23 = p2name = "Ikkyu"
trigger24 = p2name = "Faust"
trigger25 = p2name = "Zappa"
trigger26 = p2name = "Waddafak"
trigger27 = p2name = "Zhou"
trigger28 = p2name = "Jinmen"
trigger29 = enemynear, authorname = "Souken"
trigger30 = p2name = "NMOri Yagami"
trigger31 = p2name = "MissingNo."
trigger32 = p2name = "Uppercut"
trigger33 = p2name = "Shadow Kouma"
trigger34 = p2name = "Boxxob"
value = 15+random%5
ignorehitpause = 1
[State Winquote vs Blossom]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
triggerall = fvar(39)<0.25
trigger1 = p2name = "Kyoko"
trigger2 = p2name = "Blossomko"
trigger3 = p2name = "Blossom"
trigger4 = p2name = "Momoko Akatsutsumi"
value = 20+random%5
ignorehitpause = 1
[State Winquote vs Necro(SF3)]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
triggerall = fvar(39)<0.25
trigger1 = p2name = "Necro"
value = 25+random%5
ignorehitpause = 1
[State Winquote vs Womanizers]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = fvar(39)<0.25
trigger1 = p2name = "Dink Smallwood"
trigger2 = p2name = "Johnny Cage"
trigger3 = p2name = "Vega"
trigger4 = p2name = "Johhny_GGXX"
trigger5 = p2name = "Johhny"
trigger6 = p2name = "Johhny Sfondi"
trigger7 = p2name = "Roshi"
trigger8 = p2name = "Master Roshi"
trigger9 = p2name = "Marisa Kirasame"
trigger10 = p2name = "Mileena"
trigger11 = p2name = "Hyo Amano"
trigger12 = p2name = "Beavis"
trigger13 = p2name = "Butt-Head"
trigger14 = p2name = "Bang Shishigami"
trigger15 = p2name = "Kagura Mutsuki"
trigger16 = p2name = "Duke Nukem"
trigger17 = p2name = "Larry Laffer"
trigger18 = p2name = "Lee Chaolan"
trigger19 = p2name = "Benimaru"
trigger20 = p2name = "Benimaru Nikaido"
value = 30+random%5
ignorehitpause = 1
[State Winquote vs Herself]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = enemynear, authorname = "Natasha"
trigger1 = enemynear, authorname = "The_None"
value = 35+random%5
ignorehitpause = 1
[State Winquote vs Eye of Typhoon Natasha]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = enemynear, authorname = "Natasha"
trigger1 = enemynear, authorname = "Shimon"
trigger2 = enemynear, authorname = "Fat Natasha"
value = 40+random%4
ignorehitpause = 1
[State Winquote vs Mr. Bear]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Mr. Bear"
trigger2 = p2name = "Kuma-Chan"
trigger3 = p2name = "Yogi Bear"
value = 44+random%4
ignorehitpause = 1
[State Winquote vs Eggman]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Eggman"
trigger2 = p2name = "Robotnik"
trigger3 = p2name = "Dr. Robotnik"
trigger4 = p2name = "Ivo Robotnik"
trigger5 = p2name = "Dr. Eggman"
trigger6 = p2name = "Stupid Little Drill Tank"
value = 48+random%4
ignorehitpause = 1


[State ME AM USING 1.0]
type = VarSet
trigger1 = var(49) != 1
var(49) = 1
ignorehitpause = 1

[State 0, PalFX]
type = PalFX
trigger1 = fvar(28) > 0
trigger1 = (gametime%10)=0
time = 10
add = 32,0,0
mul = 256,256,256
sinadd = 100,0,0,10
color = 256
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
trigger1 = fvar(28) > 0
trigger1 = stateno != 3100
fvar(28) = ifelse(fvar(28)-1<=0,0,fvar(28)-1)
ignorehitpause = 1

[State -2, JZ-DefenseMulSet]
type = LifeAdd
triggerall = Alive && MoveType = H
triggerall = fvar(39) > 0
trigger1 = (FVar(7) - life)>0
value = floor((fvar(39)) * ifElse((FVar(7)-life) < life, -(FVar(7) - life),0))
;kill = 0
[State -2, JZ-Combo]
type = VarSet
trigger1 = 1
fvar(7) = life
ignorehitpause = 1
;[State nekro defense penalty]
;type = LifeAdd
;trigger1 = life > 1
;trigger1 = life > ceil(gethitvar(damage)*(fvar(39)))
;trigger1 = gethitvar(damage)
;;trigger1 = gethitvar(kill)
;trigger1 = fvar(39) > 0
;value = 0 - ifelse(ceil(gethitvar(damage)*(fvar(39)))>=life, life-1 ,floor(gethitvar(damage)*(fvar(39))))
;value = 0 - floor(gethitvar(damage)*(fvar(39)))
;kill = 0
;absolute = 0
;ignorehitpause = 1

[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
triggerall = numenemy
trigger1 = (enemy,movecontact >= 1 || enemy,projcontact >= 1) && (!enemy,moveguarded)
var(30) = -1
ignorehitpause = 1
[State 0, PowerAdd]
type = PowerAdd
triggerall = var(30) = 0
triggerall = stateno != [3000,3999]
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = projhittime = 0
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
value = 150
ignorehitpause = 1
[State -2 Send the message]
type = Varset
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(37) = var(37) | floor(exp(2*ln(2)) + 0.5)
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(30) = 1
ignorehitpause = 1

[State -2, Movehitoner]
type = VarSet
trigger1 = numenemy
var(21) = ifelse(movehit=1&&(enemynear,movereversed!=[1,2]),var(21)+1,0)
ignorehitpause = 1
[State -2, Movehitoner]
type = VarSet
trigger1 = !numenemy
var(21) = ifelse(movehit=1,var(21)+1,0)
ignorehitpause = 1
[State -2, Moveguardoner]
type = VarSet
trigger1 = 1
var(22) = ifelse(moveguarded=1,var(22)+1,0)
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = 1
var(29) = 0
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = var(21)=1
trigger1 = numtarget
trigger1 = p2stateno != [120,169]
var(29) = (target,gethitvar(hitcount) <= 1)
ignorehitpause = 1

[State -2, Counter?]
type = VarSet
trigger1 = var(21) != 1
var(31) = (p2movetype=A)
ignorehitpause = 1
[State -2 Send the message]
type = Varset
trigger1 = !enemynear,movereversed
trigger1 = var(31) = 1
trigger1 = var(21) = 1
var(37) = var(37) | floor(exp(0*ln(2)) + 0.5)
ignorehitpause = 1
[State 0, PlaySnd]
type = PlaySnd
triggerall = movetype != H
trigger1 = fvar(39)>=0.09
trigger1 = !enemynear,movereversed
trigger1 = var(31) = 1
trigger1 = var(21) = 1
value = S209,random%9
channel = 0
lowpriority = 1
ignorehitpause = 1

[State P2Soundcode nope]
type = VarSet
trigger1 = 1
var(33) = 0
ignorehitpause = 1
[State P2Soundcode WHAM]
type = VarSet
trigger1 = (numtarget)
trigger1 = (target,stateno = 1207)
trigger1 = (target,time = 1)
trigger1 = (target,movetype = H)
var(33) = 1
ignorehitpause = 1


[State Throw Limiter]
type = VarSet
trigger1 = stateno = 40
trigger2 = statetype = A
trigger2 = movecontact
trigger3 = p2stateno = [120,169]
var(8) = 12
[State Throw Limiter count]
type = VarAdd
trigger1 = var(8) > 0
var(8) = -1
[State 0, Helper]
type = Helper
trigger1 = roundstate < 2
trigger1 = !numhelper(444)
helpertype = normal
name = "CONFIG"
ID = 444
stateno = 444
pos = 444,444
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State 0, ]
type = PlaySnd
trigger1 = fvar(39)>=0.09
trigger1 = stateno = 5120
trigger1 = time = 1
trigger1 = random < 123
trigger1 = roundstate < 3
value = 5120,random%2
channel = 0
lowpriority = 1
;volume = 255

[State 0, Helper]
type = Helper
triggerall = !ishelper
trigger1 = !numhelper(179)
helpertype = normal
name = "Misc Stuff"
ID = 179
stateno = 179
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1


[State -2, Throw Break Reset]
type = VarSet
triggerall = fvar(20) > -1
trigger1 = !numtarget
fvar(20) = -1
ignorehitpause = 1
[State -2, Throw Break Lower]
type = VarSet
triggerall = var(21) = 1
trigger1 = numtarget
trigger1 = !(target, ishelper)
fvar(20) = ifelse(fvar(20)-0.09<=-1,-1,fvar(20)-0.09)
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(40)
trigger1 = !numtarget
;trigger2 = numtarget
;trigger2 = (target,statetype != A) && (target,statetype != L)
var(40) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(41)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(41) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(42)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(42) = 0
ignorehitpause = 1
[State Prevent the prorator from going too low. You can change the minimal proration rate if you want, just make sure the value in the trigger and actual varset match]
type = VarSet
trigger1 = fvar(13) < 0.15
fvar(13) = 0.15
ignorehitpause = 1
[State Prorator Reset]
type = VarSet
trigger1 = !numenemy
trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
trigger2 = !movehit || movereversed
trigger3 = p2stateno = 5120
fvar(13) = ifelse(fvar(28)<=0,1,1.25)
ignorehitpause = 1
[State 0, AttackMulSet]
type = AttackMulSet
trigger1 = 1
time = 2
;value = ifelse(p2movetype!=H,ifelse(var(20)=1,1.25,1),1 - ifelse(fvar(15)>.75,.75,fvar(15)))
;value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse((p2statetype=A&&p2movetype!=H)||var(31),1.25,1)
value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse(var(31),1.25,1)
ignorehitpause = 1



;
; Within StateDef -2, none of your own AI-related code should be placed
; above these next two controllers.

[State -2, StopAI]
type = VarSet
triggerall = var(58) > 0 && !IsHelper
trigger1 = RoundState != 2
trigger2 = !Alive
var(58) = -2
IgnoreHitPause = 1

; This controller is optional.  It allows you treat the AI flag as a boolean
; value rather than an integer value, letting you trigger your AI directives
; with "var(0)" instead of "var(58)>0", and letting you make moves usable only
; by humans by using "!var(0)" instead of "var(58)<1", thus slightly improving
; the size and efficiency of your code.
; Another benefit is that it makes it much easier for users to disable your AI,
; if they so choose.
[State -2, Scaler]
type = VarSet
trigger1 = time = 0
fvar(36) = roundno + matchno*3
IgnoreHitPause = 1
[State -2, TOO MUCH]
type = VarSet
trigger1 = fvar(36) >= 80
fvar(36) = 80
IgnoreHitPause = 1
[State -2, Simplifier]
type = VarSet
;triggerall = !IsHelper
;trigger1 = var(58) = 1
;trigger2 = fvar(35):=0
trigger1 = !ishelper
fvar(35) = ifelse((roundstate=2&&ailevel>=1),ailevel+fvar(36),0)
IgnoreHitPause = 1

[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) < 120
trigger1 = p2movetype = A
trigger1 = stateno = [120,169]
var(50) = 1
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarSet
triggerall = var(50) > 0
trigger1 = stateno = [150,155]
trigger1 = time = 1
var(50) = ceil(var(50)*0.5)
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) > 0
triggerall = (gametime%3)=0
trigger1 = p2movetype != A
trigger2 = stateno != [120,169]
var(50) = -1
ignorehitpause = 1
[State ANTI-MINDGAME-TH]
type = VarSet
trigger1 = numenemy
trigger1 = fvar(35)
var(51) = (enemynear,HitDefAttr = SCA,AT) || (var(50) > 20) || ((abs(enemynear,animtime) <= enemynear,moveguarded )) || (numhelper(3050))
ignorehitpause = 1


;================================================================================
; ------- KOF Cornerpush System by Vans --------
;===============================================================================
[State -2, Superpause Check]
type = VarAdd
trigger1 = Var(6)
var(6) = -1

[State -2, Reset Time counter]
type = VarSet
trigger1 = movecontact = 1
var(12) = 0

[State -2, Accel]
type = VarSet
triggerall = roundstate = 2
triggerall = Var(6) <= 0
triggerall = numtarget >= 1
trigger1 = target, hitshakeover
fvar(6) = (target, gethitvar(xvel)*exp((-0.1886)*((var(12)))))
[State -2, Push]
type = PosAdd
triggerall = roundstate = 2
triggerall = !var(6)
triggerall = numtarget >= 1
triggerall = (target, BackEdgeBodyDist <= 0) || (target, FrontEdgeBodyDist <= 0)
triggerall = ProjContact = 0, < 50
triggerall = stateno != [800,899]
triggerall = stateno != [10800,10899]
triggerall = stateno != [3300,3320]
triggerall = stateno != 1500
triggerall = enemynear,statetype != A
triggerall = enemynear,statetype != L
trigger1 = Statetype != A
x = ifelse(facing = -1,fvar(6),-fvar(6))

[State -2, Increase]
type = VarSet
triggerall = Var(6) <= 0
triggerall = var(12)
trigger1 = numtarget >= 1
trigger1 = target, hitshakeover
var(12) = var(12)+1

[State -2, Time counter]
type = VarSet
trigger1 = !var(12)
trigger1 = fvar(6)
var(12) = 1

[State -2, Freeze Pos During Superpause]
type = PosFreeze
trigger1 = Var(6)
value = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(6)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = movecontact = 1
fvar(6) = 0
ignorehitpause = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(8)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = numtarget >= 1 && target, gethitvar(xvel) = 0
var(17) = 0

[State -2, Blood Vomit Sound]
type = PlaySnd
trigger1 = anim = 5017
trigger1 = animelem = 5
value = S5007,0
[State -2, Blood Vomit Puddle]
type = Explod
trigger1 = anim = 5017
trigger1 = animelem = 5
trigger1 = numexplod(953) < 9
anim = 953
ID = 953
pos = ceil(9*const(size.xscale)),0
postype = p1
facing = 1
vfacing = 1
bindtime = 1
removetime = -2
scale = const(size.xscale),const(size.yscale)
sprpriority = -32
ontop = 0
shadow = 0,0,0
ownpal = 1
